Bug 118131 - jwhois uses lynx as default browser in jwhois.conf
jwhois uses lynx as default browser in jwhois.conf
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: jwhois (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
Depends On:
  Show dependency treegraph
Reported: 2004-03-12 05:45 EST by Lars Delhage
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-01 15:22:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backward-compatible internal libcurl support (POST only) (14.74 KB, patch)
2004-09-11 17:16 EDT, Miloslav Trmač
no flags Details | Diff
Other features from jwhois-3.2.1-4os1, not included above (3.84 KB, patch)
2004-09-11 17:34 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Lars Delhage 2004-03-12 05:45:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
The configuration file /etc/jwhois.conf uses lynx as default
browser-pathname, however lynx is no longer included in the distribution.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. jwhois redhat.se

Actual Results:  [Querying
[HTTP: Unable to run web browser: No such file or directory]

Expected Results:  Information about the redhat.se domain

Additional info:

Easily fixed by changing browser-pathname to /usr/bin/elinks in
/etc/jwhois.conf. Should be in the RPM though
Comment 1 Miloslav Trmač 2004-08-16 16:22:47 EDT
* elinks doesn't support POST requests at all
* curl supports POST, but not in a format supported by jwhois
* w3m is not shipped in RHEL
Comment 2 Oskari Saarenmaa 2004-09-09 12:48:11 EDT
I wrote a libcurl version of http whois fetching for jwhois, it uses
the configured browser to format the html.  It also supports https and
sending multiple http requests to the same host (required for .fi
domains ...).

RPMS (source and fedora core 1) available from

The patch also fixes a segmentation fault when a configuration file is
not available.
Comment 3 Miloslav Trmač 2004-09-11 17:16:02 EDT
Created attachment 103741 [details]
Backward-compatible internal libcurl support (POST only)
Comment 4 Miloslav Trmač 2004-09-11 17:34:37 EDT
Created attachment 103742 [details]
Other features from jwhois-3.2.1-4os1, not included above

Thanks for your patch.

How about these two patches instead?
Unlike your original code this should be backward-compatible.
(The "extra" patch implements your features which will probably
not go in RHEL3; note that they both require setting "post-internal".)

I was not able to reproduce the segmentation fault.

If this looks fine, we should think about getting this accepted upstream.
This will probably require assignment to the FSF (i.e. removing
your and Red Hat copyright notices). Is it okay with you?
Comment 5 Oskari Saarenmaa 2004-09-12 09:19:44 EDT
Your patches look good, and I think we should try to get them accepted
upstream.  I already contacted the jwhois maintainer, Jonas Öberg, a
few days ago and while he was intrested in applying the patch, he said
"Unfortunately, I don't have a lot of time to work on jwhois now, so I
don't know when a new version might be forthcoming."

Assigning copyrights to FSF is okay with me.
Comment 6 Miloslav Trmač 2005-04-01 15:22:53 EST
lynx was added in RHEL 3 update releases; on existing systems it can be installed
using up2date. Therefore the default jwhois configuration so this should no longer 
be an issue.

The patches for using libcurl should not be needed anymore; I have sent them
upstream and if the upstream developer responds, I'll work with him to get them

Thanks again for your patches.

Note You need to log in before you can comment on or make changes to this bug.